콘텐츠로 건너뛰기

Gemini 2.5 Flash Image

통합

모델 id gemini-25-flash-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.04 40 API 크레딧 이 페이지에서 실행

API 키 받기
Google 텍스트를 이미지로 빠름 #text-to-image

10개의 종횡비, 호출당 최대 4개 이미지 및 png, jpeg 또는 webp 출력을 제공하는 Google 텍스트-이미지 모델

Google · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 50000

이미지 생성을 위한 텍스트 지시문입니다.

aspect_ratio 기본값 1:1

결과 이미지의 가로세로 비율입니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 output_format · safety_tolerance · seed · limit_generations
output_format 기본값 png

결과 이미지의 파일 형식입니다.

safety_tolerance 기본값 4

가장 덜 제한적인 수준인 6부터 대부분의 콘텐츠를 차단하는 가장 엄격한 수준인 1까지 콘텐츠 조정 허용 수준을 설정합니다.

난수 생성을 초기화하는 시드 값입니다.

POST /run/gemini-25-flash-image?wait=20 견적 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Gemini 2.5 Flash Image 정보

최대 50,000자의 텍스트 프롬프트에서 이미지를 생성합니다. 종횡비는 21:9~9:16 범위이며 요청당 1~4개 이미지를 생성할 수 있습니다. 기본 출력은 png이고 jpeg와 webp도 사용할 수 있습니다. 응답에는 이미지와 함께 텍스트 설명이 포함되며, `limit_generations`로 프롬프트당 단일 결과를 강제할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 50,000자≥ 3자
이미지 생성을 위한 텍스트 지시문입니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
생성할 이미지 수입니다.
seed선택 사항
유형integer | null
난수 생성을 초기화하는 시드 값입니다.
aspect_ratio선택 사항
유형enum
기본값1:1
21:916:93:24:35:41:14:53:42:39:16
결과 이미지의 가로세로 비율입니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
결과 이미지의 파일 형식입니다.
safety_tolerance선택 사항
유형enum
기본값4
123456
가장 덜 제한적인 수준인 6부터 대부분의 콘텐츠를 차단하는 가장 엄격한 수준인 1까지 콘텐츠 조정 허용 수준을 설정합니다.
limit_generations선택 사항
유형boolean
기본값true
실험적 생성 제한입니다. `True`를 활성화하면 프롬프트의 이미지 수 지시를 무시하고 각 프롬프트 라운드를 1회 생성으로 제한합니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gemini-25-flash-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}모델이 생성한 이미지입니다.
description
string생성된 이미지에 첨부되는 설명입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/gemini-25-flash-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt